--- old/usr/src/cmd/mdb/common/modules/genunix/genunix.c	Wed Aug 21 14:46:16 2013
+++ new/usr/src/cmd/mdb/common/modules/genunix/genunix.c	Wed Aug 21 14:46:16 2013
@@ -22,6 +22,7 @@
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2013 Joyent, Inc. All rights reserved.
+ * Copyright (c) 2013 by Delphix. All rights reserved.
  */
 
 #include <mdb/mdb_param.h>
@@ -75,6 +76,7 @@
 #include "devinfo.h"
 #include "findstack.h"
 #include "fm.h"
+#include "gcore.h"
 #include "group.h"
 #include "irm.h"
 #include "kgrep.h"
@@ -4188,6 +4190,11 @@
 	{ "zsd", ":[-v] [zsd_key]", "display zone-specific-data entries for "
 	    "selected zones", zsd },
 
+#ifndef _KMDB
+	{ "gcore", NULL, "generate a user core for the given process",
+	    gcore_dcmd },
+#endif
+
 	{ NULL }
 };
 
@@ -4605,6 +4612,10 @@
 	(void) mdb_callback_add(MDB_CALLBACK_STCHG,
 	    genunix_statechange_cb, NULL);
 
+#ifndef _KMDB
+	gcore_init();
+#endif
+
 	return (&modinfo);
 }
 
